From 6c6e56c42028d5775a977b4be14a243b1d3deb0c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Morten=20Johan=20S=C3=B8rvig?= <morten.sorvig@qt.io>
Date: Wed, 2 Dec 2020 15:08:18 +0100
Subject: [PATCH 156/262] QSplashScreen: draw pixmap with SmoothTransfrom
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Use high-quality scaling to improve rendering in cases
where the pixmap has to be scaled down, such as when
drawing a @2x pixmap at 150%.

Change-Id: I216b03b61dfa2cc2cc8c573e24a576424f6f5d17
Fixes: QTBUG-88982
Reviewed-by: Tor Arne Vestbø <tor.arne.vestbo@qt.io>
(cherry picked from commit fdc687913df2dbd92c7469082690381fea55e628)
Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
---
 src/widgets/widgets/qsplashscreen.cpp | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/widgets/widgets/qsplashscreen.cpp b/src/widgets/widgets/qsplashscreen.cpp
index 328df6a8f2..84841c1cc0 100644
--- a/src/widgets/widgets/qsplashscreen.cpp
+++ b/src/widgets/widgets/qsplashscreen.cpp
@@ -425,6 +425,7 @@ bool QSplashScreen::event(QEvent *e)
     if (e->type() == QEvent::Paint) {
         Q_D(QSplashScreen);
         QPainter painter(this);
+        painter.setRenderHints(QPainter::SmoothPixmapTransform);
         painter.setLayoutDirection(layoutDirection());
         if (!d->pixmap.isNull())
             painter.drawPixmap(QPoint(), d->pixmap);
-- 
2.33.0

